commit:     88ee1aecde5c87b6307271c0cd56786d82c9ecc7
Author:     Sven Eden <sven.eden <AT> prydeworx <DOT> com>
AuthorDate: Thu Mar 11 07:22:07 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Mar 27 05:49:55 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=88ee1aec

dev-libs/s2n: Version Bump to 1.0.0 (And fix testing #774276)

This should also fix the failing of s2n_x509_validator_test (#774276)

Closes: https://bugs.gentoo.org/774276
Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Sven Eden <sven.eden <AT> prydeworx.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-libs/s2n/Manifest         |  1 +
 dev-libs/s2n/s2n-1.0.0.ebuild | 56 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-libs/s2n/Manifest b/dev-libs/s2n/Manifest
index 5886f4cb241..6527ab4efec 100644
--- a/dev-libs/s2n/Manifest
+++ b/dev-libs/s2n/Manifest
@@ -1 +1,2 @@
 DIST s2n-0.10.21.tar.gz 6150129 BLAKE2B 
cf598ef02b4aa9a2a69f11a47b2a691055575b7398ba0a833081da704ebc7564d30abda5f2ad9ff9858ec2f553b1f332e913494b9e195e2a754f008bab5c11d2
 SHA512 
26957edf36af088af2cb355dad9281fefd9d54ce8c3c2c26f5682aee8d64338a3677aa81f3a07563b27a938cad2c57e0a86a478c9619cc93552674451d501909
+DIST s2n-1.0.0.tar.gz 6211951 BLAKE2B 
3714f26ab0dbd53b878c73e0ae0abf9e8a4b85b16a62dd44a3e6264fba1afdfdd7bbffc3b38b494c5cc805b8a9dfe02009d109e308ff13b4752a56594299f374
 SHA512 
ab5ccc3e73e7f395ef86a5e637b9c2d18110c14b2913990d12e02286f6562497f7e9d45912e9076216e5f595d7932d58a31642e344a5e472259386983ad44bac

diff --git a/dev-libs/s2n/s2n-1.0.0.ebuild b/dev-libs/s2n/s2n-1.0.0.ebuild
new file mode 100644
index 00000000000..e5604e53839
--- /dev/null
+++ b/dev-libs/s2n/s2n-1.0.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+DESCRIPTION="Simple, small, fast and secure C99 implementation of the TLS/SSL 
protocols"
+HOMEPAGE="https://github.com/awslabs/s2n";
+SRC_URI="https://github.com/awslabs/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="libressl static-libs test"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       !libressl? ( dev-libs/openssl:0=[static-libs=] )
+       libressl? ( dev-libs/libressl:0=[static-libs=] )
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-0.10.21-remove_Werror.patch
+)
+
+S="${WORKDIR}/${PN}-tls-${PV}"
+
+src_prepare() {
+       cmake_src_prepare
+
+       # Fix
+       # QA Notice: The following files contain writable and executable 
sections (...)
+       sed \
+               -e '$a\\n#if defined(__linux__) && defined(__ELF__)\n.section 
.note.GNU-stack,"",%progbits\n#endif' \
+               -i "${S}"/pq-crypto/sike_r2/sikep434r2_fp_x64_asm.S || die "sed 
failed"
+
+       # Fix shared library building, needed for USE="test"
+       # See: https://github.com/awslabs/s2n/issues/2401
+       if use test; then
+               sed -i -e 's, -fvisibility=hidden,,' "${S}"/CMakeLists.txt || 
die "sed failed"
+               # Remove s2n_self_talk_nonblocking_test, it is broken.
+               # See: 
https://github.com/awslabs/s2n/issues/2051#issuecomment-744543724
+               rm "${S}"/tests/unit/s2n_self_talk_nonblocking_test.c || die
+       fi
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DBUILD_SHARED_LIBS=$(usex !static-libs)
+               -DBUILD_TESTING=$(usex test)
+       )
+       cmake_src_configure
+}

Reply via email to